# $Revision: 1.15 $, $Date: 2010/06/06 08:33:05 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	MySQL
Summary:	Crypt::MySQL - emulate MySQL PASSWORD() function
Summary(pl.UTF-8):	Crypt::MySQL - emulacja funkcji MySQL PASSWORD()
Name:		perl-Crypt-MySQL
Version:	0.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e9a2d1e7f478fe8c90a15c47de37c0ae
URL:		http://search.cpan.org/dist/Crypt-MySQL/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.32}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::MySQL emulates MySQL PASSWORD() SQL function, without
libmysqlclient. You can compare encrypted passwords, without real
MySQL environment.

%description -l pl.UTF-8
Crypt::MySQL emuluje funkcję SQL PASSWORD() z MySQL bez
libmysqlclient. Pozwala porównywać zaszyfrowane hasła bez prawdziwego
środowiska MySQL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Crypt/MySQL.pm
%{perl_vendorarch}/Crypt/MySQL.xs
%dir %{perl_vendorarch}/auto/Crypt/MySQL
%{perl_vendorarch}/auto/Crypt/MySQL/MySQL.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/MySQL/MySQL.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-MySQL.spec,v $
Revision 1.15  2010/06/06 08:33:05  arekm
- release 2

Revision 1.14  2009/06/18 07:16:16  amateja
- updated to 0.04

Revision 1.13  2008/03/15 20:23:00  qboosh
- generic URL

Revision 1.12  2008-02-23 22:01:42  glen
- release 3

Revision 1.11  2008-02-10 12:04:05  arekm
- rel 2

Revision 1.10  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.9  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.7  2004/11/03 22:30:13  paladine
- formatting

Revision 1.6  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.5  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.4  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.3  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.2  2004/03/06 22:26:28  adamg
- updated to 0.02

Revision 1.1  2003/06/17 22:22:49  qboosh
- new
